from models import create_db, reset_db
from reddit_monitor import RedditMonitor
from webhook import WebhookNotifier
from app import Application
from config import Config


if __name__ == "__main__":
    client_id = Config.PRAW_CLIENT_ID
    client_secret = Config.PRAW_CLIENT_SECRET
    user_agent = Config.USER_AGENT
    username = Config.PRAW_USERNAME
    password = Config.PRAW_PASSWORD
    subreddit_name = Config.SUBREDDIT_NAME
    discord_webhook_url = Config.POKEMANS_WEBHOOK_URL
    disable_webhook = Config.DISABLE_WEBHOOK
    destroy_db = Config.DESTROY_DB
    pkmn_env = Config.PKMN_ENV

    if destroy_db and pkmn_env == 'dev':
        reset_db()
    else:
        create_db()

    reddit_monitor = RedditMonitor(client_id, client_secret, user_agent, username, password, subreddit_name)
    webhook_notifier = WebhookNotifier(discord_webhook_url, disable_webhook)
    app = Application(reddit_monitor, webhook_notifier)
    app.run()

"""
TODO:
- Filter out canadian/uk deals
"""